サーチエンジン互換性マトリクス

このページで使用されている略語:

  • GA =一般提供
  • FP =フィックスパック
  • SP =サービスパック
  • LES = Liferayエンタープライズサーチ
  • CE =コミュニティエディション

Liferay Commerce

コマースバージョン

Elasticsearchメジャーバージョン*

Elasticsearchコネクタ

(マーケットプレイスバージョン)

2.0.0-2.1.2

6

LiferayDXPにバンドルされています

3.0.0+

7

LiferayDXPにバンドルされています

*互換性のあるコネクタバージョンや必要なパッチレベルなど、Elasticsearchの詳細な互換性については、以下のLiferayDXPバージョンの互換性マトリックスを参照してください。

 

Liferay DXP 7.3

ELASTICSEARCH

DXPパッチレベル

Elasticsearchバージョン

Elasticsearchコネクタ

(マーケットプレイスバージョン)

JDK

(Elasticsearch)

DXP 7.3 GA1 +

7.9.x-7.12.x

指定されたパッチレベルでバンドル*

Elasticの

ElasticsearchおよびJVMサポートマトリックスを参照してください

* Liferay Enterprise Search Security(以前のLiferay Connector to X-Pack Security)モジュールの機能は、DXP7.3にバンドルされているLiferayConnector to Elasticsearch7に含まれています。 

Liferay DXPで利用可能なElasticsearchコネクタの技術概要については、この記事を参照しください。Liferay DXPとElasticsearchの互換性に影響を与える要因の詳細については、ここをクリックしてください

注:DXP 7.3 GA1では、Elasticsearch 7.10+の重要な変更により、ワークフローメトリックで問題が発生します。詳細と解決策については、こちらをご覧ください。

SOLR

DXPパッチレベル

Solrバージョン

Solrコネクタ

(マーケットプレイスバージョン)

DXP 7.3 FP1 + / SP1 +

8.6.x

Liferay Connector to Solr 8 (v4.x)

 

Liferay DXP 7.2

ELASTICSEARCH

DXPパッチレベル

Elasticsearchバージョン

Elasticsearchコネクタ(マーケットプレイスバージョン)

JDK(Elasticsearch)

DXP 7.2 GA1-FP4

6.5.x-6.8.x

指定されたパッチレベルでバンドル

Oracle JDK 8

Oracle JDK 11 **

すべてのJava TCKの対応は、Java 11とのビルド

のJava 8

FP5 + / SP2 +

6.8.x

FP2 + / SP1 +からFP4

7.3.x-7.9.x

Liferay Connector to Elasticsearch7*(v3.0.0)

FP5 + / SP2 +からFP7

Liferay Connector to Elasticsearch7*(v3.0.1)

FP8 + / SP3 +

Liferay Connector to Elasticsearch7*(v3.1.0)

FP9 + / SP4 +

7.9.x-7.12.x

Liferay Connector to Elasticsearch7*(v3.2.0、v3.2.1)

* Liferay Enterprise Search Security(以前のLiferay Connector to X-Pack Security)モジュールの機能は、Liferay Connector to Elasticsearch7に含まれています。** Oracle JDK11およびその他のJavaTCK準拠のJava11および8ビルドは、Elastic Stack6.6.0以降と互換性があります。

 

Liferay DXPで利用可能なElasticsearchコネクタの技術概要については、この記事を参照しください。Liferay DXPとElasticsearchの互換性に影響を与える要因の詳細については、ここをクリックしてください

 

SOLR

DXPパッチレベル

Solrバージョン

Solrコネクタ

(マーケットプレイスバージョン)

DXP 7.2GA1からFP1

7.5.x

Liferay Connector to Solr 7 (v2.0.0)

FP2 / SP1からFP4

Liferay Connector to Solr 7 (v2.0.1)

FP5 / SP2からFP7

Liferay Connector to Solr 7 (v2.0.2)

FP8 + / SP3 +

Liferay Connector to Solr 7 (v2.1.0)

FP10 +

Liferay Connector to Solr 7 (v2.1.1)

 

 

 

Liferay DXP 7.1

ELASTICSEARCH

DXPパッチレベル

Elasticsearchバージョン

Elasticsearchコネクタ(マーケットプレイスバージョン)

JDK(Elasticsearch)

DXP 7.1 GA1-FP4

6.1.x

指定されたパッチレベルでバンドル指定されたパッチレベルでバンドル

Oracle JDK 8

Oracle JDK 11

Java11

および

Java8 **のすべてのJavaTCK準拠ビルド

FP5 +からFP19

6.5.x-6.8.x

FP20 + / SP5 +

6.8.x

7.9.x-7.11.x

Liferay Connector to Elasticsearch 7 (v2.x*)

*今後リリース予定(LPS-112200を参照)。

** Oracle JDK11およびその他のJavaTCK準拠のJava11および8ビルドは、Elastic Stack6.6.0以降と互換性があります。

Liferay DXPで利用可能なElasticsearchコネクタの技術概要については、この記事を参照してください。Liferay DXPとElasticsearchの互換性に影響を与える要因の詳細については、こちらを参照してください

 

SOLR

DXPパッチレベル

Solrバージョン

Solrコネクタ

(マーケットプレイスバージョン)

DXP 7.1 GA1 +

7.5.x

Liferay Connector to Solr 7 (v1.x)

 

Liferay DXP 7.0

ELASTICSEARCH

DXPパッチレベル

Elasticsearchバージョン

Elasticsearchコネクタ(マーケットプレイスバージョン)

JDK(Elasticsearch)

DXP 7.0GA1からFP21

2.2.x *

指定されたパッチレベルでバンドル

Oracle JDK 8

FP22 +

2.4.x *

FP42 +からFP69

6.1.x

Liferay Connector to Elasticsearch 6 (v1.0.0)

FP70 +からFP78

Liferay Connector to Elasticsearch 6 (v1.0.1)

FP79 +からFP95

6.5.x-6.8.x

Liferay Connector to Elasticsearch 6 (v1.1.0)

FP96 +

Liferay Connector to Elasticsearch 6 (v1.2.0)

* Elasticsearch 2.xは2018年にサービス終了(EOL)に達しました。Elasticsearch8.0のリリースまでElasticによって維持され続けるElasticsearch6.xへのアップグレードを検討してください。

Liferay DXPで利用可能なElasticsearchコネクタの技術概要については、この記事を参照してください。Liferay DXPとElasticsearchの互換性に影響を与える要因の詳細については、こちらを参照してください。

SOLR

DXPパッチレベル

Solrバージョン

Solrコネクタ

(マーケットプレイスバージョン)

DXP 7.0GA1からFP87

5.2.x-5.5.x



Liferay Solr 5サーチエンジン(v1.0.0-v1.1.1)

FP88 +

Liferay Solr 5サーチエンジン(v1.1.2)

FP97 +

Liferay Solr 5サーチエンジン(v1.1.3)

 

 

 

Liferayエンタープライズサーチ(LES)

LESの互換性のある構成と使用可能なアプリケーションの詳細については、以下の表を参照してください。

LES 3.0

ElasticStackバージョン

DXPバージョン

(パッチレベル)

LESアプリケーション

(マーケットプレイスバージョン)

Elasticsearchコネクタ(マーケットプレイスバージョン)

7.x *

DXP 7.3(GA1 +)

Liferay Enterprise Search Cross-Cluster Replication (4.x)

Liferay Enterprise Search Monitoring (4.x)

Liferay Enterprise Search Learning to Rank** (3.x)

指定されたパッチレベルでバンドル

DXP 7.2(FP9 + / SP4 +)

Liferay Enterprise Search Cross-Cluster Replication (v3.x)

Liferay Connector to Elasticsearch 7 (v3.2.1+*)

DXP 7.2(FP2 + / SP1 +)

Liferay Enterprise Search Monitoring (3.x)

Liferay Connector to Elasticsearch 7 (v3.x*)

DXP 7.2(FP3 +)

Liferay Enterprise Search Learning to Rank** (2.x)

Liferay Enterprise Search Security(以前のLiferay Connector to X-Pack Security)モジュールの機能は、Liferay DXP7.3にバンドルされているLiferayConnector to Elasticsearch 7に含まれており、Liferay DXP 7.2はマーケットプレイス からドロップインの代替品としても利用できます。 

*互換性のあるコネクタバージョンや必要なパッチレベルなど、Elasticsearchの詳細な互換性については、LiferayDXP各バージョンの互換性マトリックスを参照してください。(DXP 7.3 / DXP 7.2 / DXP 7.1 / DXP 7.0

** Elasticsearchサーバーに互換性のあるElasticsearchLearning toRankプラグインをインストールする必要があります。利用可能なビルド済みバージョンはこちらに記載しています

LES 2.0

ElasticStackバージョン

DXPバージョン

(パッチレベル)

LESアプリケーション

(マーケットプレイスバージョン)

Elasticsearchコネクタ(マーケットプレイスバージョン)

6.x *

DXP 7.2(GA1 +)

Liferay Enterprise Search Monitoring (3.x)

Liferay Enterprise Search Security (3.x)

指定されたパッチレベルでバンドル

DXP 7.2(FP3 +)

Liferay Enterprise Search Learning to Rank** (2.x)

指定されたパッチレベルでバンドル

DXP 7.1(FP5 +)

Liferay Enterprise Search Monitoring (2.x)

Liferay Enterprise Search Security (2.x)

指定されたパッチレベルでバンドル

DXP 7.0(FP79 +)

Liferay Enterprise Search Monitoring (1.x)

Liferay Enterprise Search Security (1.x)

Liferay Connector to Elasticsearch 6

(v1.x*)

*互換性のあるコネクタバージョンや必要なパッチレベルなど、Elasticsearchの詳細な互換性については、LiferayDXP各バージョンの互換性マトリックスを参照してください。(DXP 7.3 / DXP 7.2 / DXP 7.1 / DXP 7.0

** Elasticsearchサーバーに互換性のあるElasticsearchLearning toRankプラグインをインストールする必要があります。利用可能なビルド済みバージョンはここにあります

 

LiferayポータルCE

ELASTICSEARCH

Liferayポータルバージョン

Elasticsearchバージョン

Elasticsearchコネクタ

(マーケットプレイスバージョン)

7.3 CE GA6

7.9.x-7.11.x

バンドル

7.3 CE GA4-GA5

7.3+(7.x)

7.3 CE GA3

6.5.x-6.8.x

7.2 CE GA2

6.5.x-6.8.x

7.3.x-7.6.x

Elasticsearch 7(v2.0.0)へのLiferayCEコネクタ

7.1 CE GA3

6.5.x-6.8.x

バンドル

7.0 CE GA7

6.1.x

Elasticsearch 6(v1.0.0)へのLiferayCE コネクタ

2.4.x

バンドル

SOLR

Liferayポータルバージョン

Solrバージョン

Solrコネクタ

(マーケットプレイスバージョン)

7.3 CE GA7

8.6.x

Solr8へのLiferayCEコネクター(4.x)

7.2 CE GA2

7.5.x

Solr7へのLiferayCEコネクター(2.x)

7.2 CE GA3

Solr7へのLiferayCEコネクター(1.x)

7.0 CE GA7

5.2.x-5.5.x

Liferay CE Solr 5サーチエンジン(v1.x)

 

メジャーアップデート:

  • 2021年4月7日: 互換性のあるバージョンにElasticsearch 7.12.x を追加しました。
  • 2021年3月17日:互換性のあるバージョンにSolr8.6.xを追加しました。
  • 2021年3月9日:互換性のあるバージョンにElasticsearch7.11.xを追加しました。

Elastic、Elasticsearch、およびX-Packは、Elasticsearch BVの商標であり、米国およびその他の国で登録されています。

この記事は役に立ちましたか?
5人中5人がこの記事が役に立ったと言っています